Get e-Signature Job Status
1 min
GET
https://api.nue.io/v1/cpq/quotes/e-sign/jobs/{jobId}
Path Parameters
- jobIdstring<uuid>requiredExampleDescriptionFormatuuid
Responses
200
- ESignatureJobResponse
- idstring<uuid>ExampleDescriptionFormatuuid
- namestringExampleDescription
- typestringExampleDescription
- statusstring<Pending | InProgress | Completed | Failed>ExampleDescriptionAllowedPendingInProgressCompletedFailed
- progressintegerDescription
- errorCodestringDescription
- errorMessagestringDescription
- executionSecondsintegerExampleDescription
- startTimestring<date-time>ExampleDescriptionFormatdate-time
- endTimestring<date-time>ExampleDescriptionFormatdate-time
- resultESignatureResult
- quoteIdstringExampleDescription
- envelopeIdstring<uuid>ExampleDescriptionFormatuuid
- statusstring<created | sent | delivered | completed | declined | voided>ExampleDescriptionAllowedcreatedsentdeliveredcompleteddeclinedvoided
- recipientsRecipientStatus[]Description
- recipientIdstringExampleDescription
- namestringExampleDescription
- emailstring<email>ExampleDescriptionFormatemail
- rolestringExampleDescription
- actionstringExampleDescription
- recipientStatusstring<created | sent | delivered | completed | declined | autoresponded>ExampleDescriptionAllowedcreatedsentdeliveredcompleteddeclinedautoresponded
- emailEmailContent
- subjectstringrequiredExampleDescription
- messagestringrequiredExampleDescription
- createdAtstring<date-time>ExampleDescriptionFormatdate-time
- expiresAtstring<date-time>ExampleDescriptionFormatdate-time
401
- ErrorResponse
- errorobject
- codestringExampleDescription
- messagestringExampleDescription
- detailsstring[]Example
[ "Document must be in Draft or Pending status to send for signature" ]
Description
404
- ErrorResponse
- errorobject
- codestringExampleDescription
- messagestringExampleDescription
- detailsstring[]Example
[ "Document must be in Draft or Pending status to send for signature" ]
Description
curl
curl --request GET \
--url https://api.nue.io/v1/cpq/quotes/e-sign/jobs/{jobId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/v1/cpq/quotes/e-sign/jobs/{jobId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/v1/cpq/quotes/e-sign/jobs/{jobId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/v1/cpq/quotes/e-sign/jobs/{jobId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successfully retrieved signature status
{
"id": "3838d6cf-e5df-42fd-b4d6-2d5b953ec704",
"name": "Send for e-Sign",
"type": "E-Signature-Create",
"status": "Completed",
"progress": 0,
"errorCode": "",
"errorMessage": "",
"executionSeconds": 39,
"startTime": "2026-01-04T18:35:13.355",
"endTime": "2026-01-04T18:35:52.785",
"result": {
"quoteId": "0Q0RL000002cxsL0AQ",
"envelopeId": "02862824-5324-840f-80fb-3da56411044c",
"status": "sent",
"recipients": [
{
"recipientId": "1",
"name": "Jack Chen",
"email": "[email protected]",
"role": "Customer",
"action": "Needs to Sign",
"recipientStatus": "sent"
}
],
"email": {
"subject": "Order Form for your e-Signature (Sent by API)",
"message": "This is a request for your electronic signature, please review your order form and electronically sign by following the link below."
},
"createdAt": "2026-01-04T10:35:46.5470000Z",
"expiresAt": "2026-05-04T10:35:49.1600000Z"
}
}GENERATED
// Successfully retrieved signature status
{
"id": "3838d6cf-e5df-42fd-b4d6-2d5b953ec704",
"name": "Send for e-Sign",
"type": "E-Signature-Create",
"status": "Completed",
"progress": 0,
"errorCode": "",
"errorMessage": "",
"executionSeconds": 39,
"startTime": "2026-01-04T18:35:13.355",
"endTime": "2026-01-04T18:35:52.785",
"result": {
"quoteId": "0Q0RL000002cxsL0AQ",
"envelopeId": "02862824-5324-840f-80fb-3da56411044c",
"status": "sent",
"recipients": [
{
"recipientId": "1",
"name": "Jack Chen",
"email": "[email protected]",
"role": "Customer",
"action": "Needs to Sign",
"recipientStatus": "sent"
}
],
"email": {
"subject": "Order Form for your e-Signature (Sent by API)",
"message": "This is a request for your electronic signature, please review your order form and electronically sign by following the link below."
},
"createdAt": "2026-01-04T10:35:46.5470000Z",
"expiresAt": "2026-05-04T10:35:49.1600000Z"
}
}Completed Job
{
"id": "3838d6cf-e5df-42fd-b4d6-2d5b953ec704",
"name": "Send for e-Sign",
"type": "E-Signature-Create",
"status": "Completed",
"progress": 0,
"errorCode": "",
"errorMessage": "",
"executionSeconds": 39,
"startTime": "2026-01-04T18:35:13.355",
"endTime": "2026-01-04T18:35:52.785",
"result": {
"quoteId": "0Q0RL000002cxsL0AQ",
"envelopeId": "02862824-5324-840f-80fb-3da56411044c",
"status": "sent",
"recipients": [
{
"recipientId": "1",
"name": "Jack Chen",
"email": "[email protected]",
"role": "Customer",
"action": "Needs to Sign",
"recipientStatus": "sent"
},
{
"recipientId": "2",
"name": "Mike Wick",
"email": "[email protected]",
"role": "Manager",
"action": "Needs to Sign",
"recipientStatus": "sent"
}
],
"email": {
"subject": "Order Form for your e-Signature (Sent by API)",
"message": "This is a request for your electronic signature, please review your order form and electronically sign by following the link below."
},
"createdAt": "2026-01-04T10:35:46.5470000Z",
"expiresAt": "2026-05-04T10:35:49.1600000Z"
}
}401
// Unauthorized - Invalid or missing API key
{
"error": {
"code": "INVALID_DOCUMENT",
"message": "Document not found or cannot be sent for signature",
"details": [
""
]
}
}404
// Not Found - Job does not exist
{
"error": {
"code": "INVALID_DOCUMENT",
"message": "Document not found or cannot be sent for signature",
"details": [
""
]
}
}